Debian Bug report logs - #699382
update for syslinux 5.x

version graph

Package: syslinux-themes-debian; Maintainer for syslinux-themes-debian is Debian QA Group <packages@qa.debian.org>; Source for syslinux-themes-debian is src:syslinux-themes-debian.

Reported by: Giacomo Catenazzi <cate@debian.org>

Date: Wed, 30 Jan 2013 20:03:06 UTC

Severity: serious

Tags: sid

Merged with 699596

Found in version 2:5.01+dfsg-1

Fixed in version syslinux/3:4.05+dfsg-6+deb7u2

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package extlinux. (Wed, 30 Jan 2013 20:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giacomo Catenazzi <cate@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Wed, 30 Jan 2013 20:03:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Giacomo Catenazzi <cate@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: extlinux fail to boot (error loading ldlinux.c32)
Date: Wed, 30 Jan 2013 20:55:50 +0100
Package: extlinux
Version: 2:5.00+dfsg-1
Severity: important


Note: this bug is written with a downgraded extlinux.

After last package update, when I boot, I get an error about loading ldlinux.c32.
I tried several times to reinstall extlinux, but not changes, until I downgraded extlinux.
[Note: system with raid, but I don't think it was the problem]


-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.8.0-rc5-00193-g2e51b23 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages extlinux depends on:
ii  cdebconf [debconf-2.0]  0.181
ii  debconf [debconf-2.0]   1.5.49
ii  libc6                   2.13-38

Versions of packages extlinux recommends:
ii  os-prober               1.57
ii  syslinux-common         2:4.06+dfsg-3
ii  syslinux-themes-debian  12-1.1

extlinux suggests no packages.

-- debconf information:
* extlinux/install: true



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package extlinux. (Fri, 01 Feb 2013 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Fri, 01 Feb 2013 10:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 699382@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 699382@bugs.debian.org, debian-boot@lists.debian.org, Giacomo Catenazzi <cate@debian.org>
Cc: control@bugs.debian.org
Subject: extlinux fail to boot (error loading ldlinux.c32)
Date: Fri, 01 Feb 2013 11:40:59 +0100
[Message part 1 (text/plain, inline)]
severity 699382 serious
thanks

> After last package update, when I boot, I get an error about loading ldlinux.c32.
> I tried several times to reinstall extlinux, but not changes, until I downgraded extlinux.

I stumbled upon this issue myself when trying to create netboot iso
images for d-i [1], so I'm bringing the debian-boot people into the loop
here as I thought it my be of interest to them.
I too had to downgrade to extlinux from wheezy to get the iso images
booting again.

I've talked to KiBi from the release team and we concluded that this bug
qualifies being bumped to serious.

Cheers,
Michael

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=699466#22
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'serious' from 'important' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Fri, 01 Feb 2013 10:45:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'extlinux' to 'syslinux-themes-debian'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 02 Feb 2013 10:24:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions syslinux/2:5.00+dfsg-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 02 Feb 2013 10:24:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'update for syslinux 5.x' from 'extlinux fail to boot (error loading ldlinux.c32)' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 02 Feb 2013 10:24:03 GMT) Full text and rfc822 format available.

Added tag(s) sid and pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 02 Feb 2013 10:24:04 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 02 Feb 2013 10:24:07 GMT) Full text and rfc822 format available.

Merged 699382 699596 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 02 Feb 2013 10:24:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package syslinux-themes-debian. (Sun, 03 Feb 2013 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 03 Feb 2013 20:03:03 GMT) Full text and rfc822 format available.

Message #29 received at 699382@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: mbiebl@debian.org, Giacomo Catenazzi <cate@debian.org>, 699382@bugs.debian.org, debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Broken syslinux in sid
Date: Sun, 3 Feb 2013 21:00:35 +0100
[Message part 1 (text/plain, inline)]
Control: severity -1 serious
Control: reassign -1 syslinux 2:5.01+dfsg-1

Hi Daniel,

Daniel Baumann <daniel.baumann@progress-technologies.net> (02/02/2013):
> reassign 699382 syslinux-themes-debian
> retitle 699382 update for syslinux 5.x
> tag 699382 pending sid
> reassign 699596 syslinux-themes-debian
> retitle 699596 update for syslinux 5.x
> tag 699596 pending sid
> forcemerge 699596 699382
> thanks

I really don't see how this could be a bug in syslinux-themes-debian
since that one isn't installed/pulled during a d-i build, yet the
images totally fail to boot when upgrading syslinux{,-common} from
2:4.06+dfsg-3 to 2:5.01+dfsg-1.

This is serious if not grave, breaking d-i builds. I'm currently
considering re-uploading syslinux version 4 to sid, since I see no
reasons for having version 5 there (especially so badly broken) when
we're trying to release wheezy. You have experimental for such things.

Please avoid breaking d-i, and avoid wasting our time.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Cyril Brulebois <kibi@debian.org> to 699382-submit@bugs.debian.org. (Sun, 03 Feb 2013 20:03:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'syslinux-themes-debian' to 'syslinux'. Request was from Cyril Brulebois <kibi@debian.org> to 699382-submit@bugs.debian.org. (Sun, 03 Feb 2013 20:03:04 GMT) Full text and rfc822 format available.

Marked as found in versions syslinux/2:5.01+dfsg-1. Request was from Cyril Brulebois <kibi@debian.org> to 699382-submit@bugs.debian.org. (Sun, 03 Feb 2013 20:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package syslinux. (Sun, 03 Feb 2013 21:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 03 Feb 2013 21:33:06 GMT) Full text and rfc822 format available.

Message #40 received at 699382@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Cyril Brulebois <kibi@debian.org>
Cc: mbiebl@debian.org, Giacomo Catenazzi <cate@debian.org>, 699382@bugs.debian.org, debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Broken syslinux in sid
Date: Sun, 03 Feb 2013 22:35:56 +0100
reassign 699382 syslinux-themes-debian
thanks

On 02/03/2013 09:00 PM, Cyril Brulebois wrote:
> I really don't see how this could be a bug in syslinux-themes-debian

because it has absolutely nothing to do with syslinux, see 
http://live.debian.net/gitweb/?p=live-build.git;a=commitdiff;h=1ef2dfea2b2b6685254b4a531d3eee501d103de6

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Bug reassigned from package 'syslinux' to 'syslinux-themes-debian'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 03 Feb 2013 21:33:09 GMT) Full text and rfc822 format available.

No longer marked as found in versions syslinux/2:5.01+dfsg-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 03 Feb 2013 21:33:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package syslinux-themes-debian. (Sun, 03 Feb 2013 21:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 03 Feb 2013 21:48:08 GMT) Full text and rfc822 format available.

Message #49 received at 699382@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: biebl@debian.org, Giacomo Catenazzi <cate@debian.org>, 699382@bugs.debian.org, debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Broken syslinux in sid
Date: Sun, 3 Feb 2013 22:44:35 +0100
[Message part 1 (text/plain, inline)]
Daniel Baumann <daniel.baumann@progress-technologies.net> (03/02/2013):
> reassign 699382 syslinux-themes-debian
> thanks
> 
> On 02/03/2013 09:00 PM, Cyril Brulebois wrote:
> >I really don't see how this could be a bug in syslinux-themes-debian
> 
> because it has absolutely nothing to do with syslinux, see
> http://live.debian.net/gitweb/?p=live-build.git;a=commitdiff;h=1ef2dfea2b2b6685254b4a531d3eee501d103de6

That doesn't explain anything. Affected systems only have
syslinux{,-common} installed, and syslinux-themes-debian doesn't
appear in syslinux's build dependencies, so I still don't see how that
package relates to syslinux's being broken. I also don't see the link
with live-build.git.

cbrulebois@Cygnus:~/debian-installer/installer/build(0)$ grep ldlinux.c32 $(dpkg -L syslinux syslinux-common) 2>/dev/null
Binary file /usr/bin/syslinux matches
Binary file /usr/lib/syslinux/ldlinux.c32 matches
cbrulebois@Cygnus:~/debian-installer/installer/build(2)$ dpkg -s syslinux-themes-debian
dpkg-query: package 'syslinux-themes-debian' is not installed and no information is available
Use dpkg --info (= dpkg-deb --info) to examine archive files,
and dpkg --contents (= dpkg-deb --contents) to list their contents.

Now please explain how exactly syslinux-themes-debian is involved
here.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package syslinux-themes-debian. (Sun, 03 Feb 2013 21:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 03 Feb 2013 21:51:09 GMT) Full text and rfc822 format available.

Message #54 received at 699382@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Cyril Brulebois <kibi@debian.org>
Cc: biebl@debian.org, Giacomo Catenazzi <cate@debian.org>, 699382@bugs.debian.org, debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Broken syslinux in sid
Date: Sun, 03 Feb 2013 22:53:52 +0100
On 02/03/2013 10:44 PM, Cyril Brulebois wrote:
> Now please explain how exactly syslinux-themes-debian is involved
> here.

it's a bug in your config, you need more files present on the media, as 
the link to the corresponding commit in live-build shows.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package syslinux-themes-debian. (Sun, 03 Feb 2013 21:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 03 Feb 2013 21:57:09 GMT) Full text and rfc822 format available.

Message #59 received at 699382@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: Cyril Brulebois <kibi@debian.org>, mbiebl@debian.org, Giacomo Catenazzi <cate@debian.org>, 699382@bugs.debian.org, debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Broken syslinux in sid
Date: Sun, 3 Feb 2013 22:53:03 +0100
[Message part 1 (text/plain, inline)]
On Sun, Feb  3, 2013 at 22:35:56 +0100, Daniel Baumann wrote:

> reassign 699382 syslinux-themes-debian
> thanks
> 
> On 02/03/2013 09:00 PM, Cyril Brulebois wrote:
> >I really don't see how this could be a bug in syslinux-themes-debian
> 
> because it has absolutely nothing to do with syslinux, see http://live.debian.net/gitweb/?p=live-build.git;a=commitdiff;h=1ef2dfea2b2b6685254b4a531d3eee501d103de6
> 
It's very much to do with syslinux.  Having wildly different versions of
syslinux in sid and testing at this stage of the release is
unacceptable.  Newer versions belong in experimental.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package syslinux-themes-debian. (Sun, 03 Feb 2013 22:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 03 Feb 2013 22:00:09 GMT) Full text and rfc822 format available.

Message #64 received at 699382@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: biebl@debian.org, Giacomo Catenazzi <cate@debian.org>, 699382@bugs.debian.org, debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Broken syslinux in sid
Date: Sun, 3 Feb 2013 22:58:18 +0100
[Message part 1 (text/plain, inline)]
Daniel Baumann <daniel.baumann@progress-technologies.net> (03/02/2013):
> On 02/03/2013 10:44 PM, Cyril Brulebois wrote:
> >Now please explain how exactly syslinux-themes-debian is involved
> >here.
> 
> it's a bug in your config, you need more files present on the media,
> as the link to the corresponding commit in live-build shows.

We're not going to change our configuration right now, just because
you thought rushing syslinux version 5 into sid would be a clever
idea.

Please stop uploading such disrupting changes. We're in freeze. You're
wasting everybody's time and breaking everything. Use experimental for
that, or don't upload at all.

I'm going to re-upload testing's version with an epoch to unbreak
everything.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package syslinux-themes-debian. (Sun, 03 Feb 2013 22:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 03 Feb 2013 22:03:10 GMT) Full text and rfc822 format available.

Message #69 received at 699382@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Cyril Brulebois <kibi@debian.org>
Cc: biebl@debian.org, Giacomo Catenazzi <cate@debian.org>, 699382@bugs.debian.org, debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Broken syslinux in sid
Date: Sun, 03 Feb 2013 23:05:39 +0100
On 02/03/2013 10:58 PM, Cyril Brulebois wrote:
> I'm going to re-upload testing's version with an epoch to unbreak
> everything.

if you disagree with the maintainer, please follow the proper way 
(CTTE), thanks.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package syslinux-themes-debian. (Sun, 03 Feb 2013 22:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 03 Feb 2013 22:15:05 GMT) Full text and rfc822 format available.

Message #74 received at 699382@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: biebl@debian.org, Giacomo Catenazzi <cate@debian.org>, 699382@bugs.debian.org, debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Broken syslinux in sid
Date: Sun, 3 Feb 2013 23:13:32 +0100
[Message part 1 (text/plain, inline)]
Daniel Baumann <daniel.baumann@progress-technologies.net> (03/02/2013):
> if you disagree with the maintainer, please follow the proper way
> (CTTE), thanks.

Per #2 of http://www.debian.org/devel/tech-ctte#referquestions, please
explain why you think you need syslinux 5 in sid.

Or you could just let the d-i team do its job and get a d-i release
candidate released. Not objecting to the NMU I mentioned would be a
way. Stepping down as a syslinux maintainer would be another one.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package syslinux-themes-debian. (Mon, 04 Feb 2013 07:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Giacomo A. Catenazzi" <cate@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Mon, 04 Feb 2013 07:48:03 GMT) Full text and rfc822 format available.

Message #79 received at 699382@bugs.debian.org (full text, mbox):

From: "Giacomo A. Catenazzi" <cate@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: Cyril Brulebois <kibi@debian.org>, biebl@debian.org, 699382@bugs.debian.org, debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Broken syslinux in sid
Date: Mon, 04 Feb 2013 08:40:16 +0100
On 02/03/2013 10:53 PM, Daniel Baumann wrote:
> On 02/03/2013 10:44 PM, Cyril Brulebois wrote:
>> Now please explain how exactly syslinux-themes-debian is involved
>> here.
> 
> it's a bug in your config, you need more files present on the media, as
> the link to the corresponding commit in live-build shows.

Could you be more specific, and put an information in README.Debian?

On the 5.0 version, I had libutil_com.c32 and not the libutil.c32. Could
be that the error? (Note: I copied it also /boot/extlinux).

Anyway running extlinux -i /boot/extlinux, I would expect that the
program will copy the right files in boot (so possibly my original bug
is a slight different [or deeper] to the installer bug)

ciao
	cate



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package syslinux-themes-debian. (Mon, 04 Feb 2013 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Giacomo A. Catenazzi" <cate@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Mon, 04 Feb 2013 08:09:03 GMT) Full text and rfc822 format available.

Message #84 received at 699382@bugs.debian.org (full text, mbox):

From: "Giacomo A. Catenazzi" <cate@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: Cyril Brulebois <kibi@debian.org>, biebl@debian.org, 699382@bugs.debian.org, debian-boot@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Broken syslinux in sid
Date: Mon, 04 Feb 2013 09:05:10 +0100
On 02/04/2013 08:40 AM, Giacomo A. Catenazzi wrote:
> On 02/03/2013 10:53 PM, Daniel Baumann wrote:
>> On 02/03/2013 10:44 PM, Cyril Brulebois wrote:
>>> Now please explain how exactly syslinux-themes-debian is involved
>>> here.
>>
>> it's a bug in your config, you need more files present on the media, as
>> the link to the corresponding commit in live-build shows.
> 
> Could you be more specific, and put an information in README.Debian?
> 
> On the 5.0 version, I had libutil_com.c32 and not the libutil.c32. Could
> be that the error? (Note: I copied it also /boot/extlinux).
> 
> Anyway running extlinux -i /boot/extlinux, I would expect that the
> program will copy the right files in boot (so possibly my original bug
> is a slight different [or deeper] to the installer bug)


Version 5.01 works again for me, so for me the initial bug is closed.
Because of the further concerns opened by -release and -boot, I left it
open, to continue the discussion.

ciao
	cate



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#699382; Package syslinux-themes-debian. (Mon, 04 Feb 2013 12:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Mon, 04 Feb 2013 12:06:03 GMT) Full text and rfc822 format available.

Message #89 received at 699382@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: debian-boot@lists.debian.org, daniel.baumann@progress-technologies.net, 699382@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Broken syslinux in sid
Date: Mon, 4 Feb 2013 13:04:16 +0100
[Message part 1 (text/plain, inline)]
Hi Daniel,

On Sonntag, 3. Februar 2013, Daniel Baumann wrote:
> > I'm going to re-upload testing's version with an epoch to unbreak
> > everything.
> if you disagree with the maintainer, please follow the proper way
> (CTTE), thanks.

I believe the CTTE also wants to get wheezy released, and I dont get why you 
basically sabotage it. Care to explain why you dont seem to give a fsck?


cheers,
	Holger


[Message part 2 (text/html, inline)]

Marked as found in versions 2:5.01+dfsg-1. Request was from Yves-Alexis Perez <corsac@debian.org> to 699596-submit@bugs.debian.org. (Wed, 06 Feb 2013 21:06:03 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 10 Feb 2013 15:06:05 GMT) Full text and rfc822 format available.

Notification sent to Giacomo Catenazzi <cate@debian.org>:
Bug acknowledged by developer. (Sun, 10 Feb 2013 15:06:05 GMT) Full text and rfc822 format available.

Message #96 received at 699382-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 699382-close@bugs.debian.org
Subject: Bug#699382: fixed in syslinux 3:4.05+dfsg-6+deb7u2
Date: Sun, 10 Feb 2013 15:03:01 +0000
Source: syslinux
Source-Version: 3:4.05+dfsg-6+deb7u2

We believe that the bug you reported is fixed in the latest version of
syslinux, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699382@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated syslinux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 10 Feb 2013 15:43:56 +0100
Source: syslinux
Binary: syslinux syslinux-udeb extlinux syslinux-common
Architecture: source i386 all
Version: 3:4.05+dfsg-6+deb7u2
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 extlinux   - collection of boot loaders (ext2/3/4 and btrfs bootloader)
 syslinux   - collection of boot loaders
 syslinux-common - collection of boot loaders (common files)
 syslinux-udeb - collection of boot loaders (udeb)
Closes: 699382 699596 699742 699808 699884 699890
Changes: 
 syslinux (3:4.05+dfsg-6+deb7u2) unstable; urgency=low
 .
   * Reuploading to unstable (Closes: #699382, #699596, #699742, #699808,
     #699884, #699890).
Checksums-Sha1: 
 b9ca5c47eb830071aae7c4e2f66696d5404f7afd 1449 syslinux_4.05+dfsg-6+deb7u2.dsc
 bdf58c9d11a246b3cb9db7d0af07f5e4097d5b5f 4483608 syslinux_4.05+dfsg.orig.tar.xz
 4ff6c014a3cf39ee428ef112c6731e5bee6ef3fd 31764 syslinux_4.05+dfsg-6+deb7u2.debian.tar.xz
 1b7be98a78ae626a9f408e9f815696034830a5f0 95982 syslinux_4.05+dfsg-6+deb7u2_i386.deb
 0297ea06c28628441d84072863f5b237eddc9443 42234 syslinux-udeb_4.05+dfsg-6+deb7u2_i386.udeb
 6f9198e60a53446944f82ede671b1bec7d3e5006 113792 extlinux_4.05+dfsg-6+deb7u2_i386.deb
 0815a89f4ac3efc9f20231cbcc00ca5bacf9e1e7 939984 syslinux-common_4.05+dfsg-6+deb7u2_all.deb
Checksums-Sha256: 
 7722aace037bca2d2167f7f2aaacb3ddad0035f56f95ca73a11b2f83a070f99c 1449 syslinux_4.05+dfsg-6+deb7u2.dsc
 91f57a24dafd950ff137d2a1378c9db30fda57e82c58ecf09fe6e558ca1b5056 4483608 syslinux_4.05+dfsg.orig.tar.xz
 bf8223b2ed766ff3720485be4cbc61e7676738f0e264ee927b4a191a6e326c64 31764 syslinux_4.05+dfsg-6+deb7u2.debian.tar.xz
 56d98b273090bba1bb507f6f827da84298c854ee8f31ce394477887f4a609f6d 95982 syslinux_4.05+dfsg-6+deb7u2_i386.deb
 aa363176df6b1bc2517478c36b052a13c06cd462e1478ee6599caccc8262f131 42234 syslinux-udeb_4.05+dfsg-6+deb7u2_i386.udeb
 5969b3ee76b2e1e8477c7c0682e1c8b43250647eec0ae16b9d287d8492e3be78 113792 extlinux_4.05+dfsg-6+deb7u2_i386.deb
 b8c83cb7c2ee3824c1aa142a82055616cab4c1970fc1a5b4c31e31aeda9da540 939984 syslinux-common_4.05+dfsg-6+deb7u2_all.deb
Files: 
 1dfb45bf84f735ee756574e83692368f 1449 utils optional syslinux_4.05+dfsg-6+deb7u2.dsc
 7a1ef95ba82804dec3cd99e80aab0201 4483608 utils optional syslinux_4.05+dfsg.orig.tar.xz
 08115808a701c7615367cac87f03cc2f 31764 utils optional syslinux_4.05+dfsg-6+deb7u2.debian.tar.xz
 760e77fd0b01946823f36d101b60ac03 95982 utils optional syslinux_4.05+dfsg-6+deb7u2_i386.deb
 ea2cd89a97afdca92d775a6071f104ea 42234 debian-installer optional syslinux-udeb_4.05+dfsg-6+deb7u2_i386.udeb
 8095ef10557b0ff02ce05f585f45ccbc 113792 utils optional extlinux_4.05+dfsg-6+deb7u2_i386.deb
 690950fd9af6b69dd7c1fcb45032ef22 939984 utils optional syslinux-common_4.05+dfsg-6+deb7u2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEXtakACgkQ+C5cwEsrK55KRACfeo4b2wM72pXmkEjY7iqxTJ15
vvkAoMZu9oENGG/VjIO664ZQ7UauYSEJ
=LiE+
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 10 Feb 2013 15:06:06 GMT) Full text and rfc822 format available.

Notification sent to Yves-Alexis Perez <corsac@debian.org>:
Bug acknowledged by developer. (Sun, 10 Feb 2013 15:06:06 GMT) Full text and rfc822 format available.

Message #101 received at 699596-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 699596-close@bugs.debian.org
Subject: Bug#699596: fixed in syslinux 3:4.05+dfsg-6+deb7u2
Date: Sun, 10 Feb 2013 15:03:01 +0000
Source: syslinux
Source-Version: 3:4.05+dfsg-6+deb7u2

We believe that the bug you reported is fixed in the latest version of
syslinux, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699596@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated syslinux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 10 Feb 2013 15:43:56 +0100
Source: syslinux
Binary: syslinux syslinux-udeb extlinux syslinux-common
Architecture: source i386 all
Version: 3:4.05+dfsg-6+deb7u2
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 extlinux   - collection of boot loaders (ext2/3/4 and btrfs bootloader)
 syslinux   - collection of boot loaders
 syslinux-common - collection of boot loaders (common files)
 syslinux-udeb - collection of boot loaders (udeb)
Closes: 699382 699596 699742 699808 699884 699890
Changes: 
 syslinux (3:4.05+dfsg-6+deb7u2) unstable; urgency=low
 .
   * Reuploading to unstable (Closes: #699382, #699596, #699742, #699808,
     #699884, #699890).
Checksums-Sha1: 
 b9ca5c47eb830071aae7c4e2f66696d5404f7afd 1449 syslinux_4.05+dfsg-6+deb7u2.dsc
 bdf58c9d11a246b3cb9db7d0af07f5e4097d5b5f 4483608 syslinux_4.05+dfsg.orig.tar.xz
 4ff6c014a3cf39ee428ef112c6731e5bee6ef3fd 31764 syslinux_4.05+dfsg-6+deb7u2.debian.tar.xz
 1b7be98a78ae626a9f408e9f815696034830a5f0 95982 syslinux_4.05+dfsg-6+deb7u2_i386.deb
 0297ea06c28628441d84072863f5b237eddc9443 42234 syslinux-udeb_4.05+dfsg-6+deb7u2_i386.udeb
 6f9198e60a53446944f82ede671b1bec7d3e5006 113792 extlinux_4.05+dfsg-6+deb7u2_i386.deb
 0815a89f4ac3efc9f20231cbcc00ca5bacf9e1e7 939984 syslinux-common_4.05+dfsg-6+deb7u2_all.deb
Checksums-Sha256: 
 7722aace037bca2d2167f7f2aaacb3ddad0035f56f95ca73a11b2f83a070f99c 1449 syslinux_4.05+dfsg-6+deb7u2.dsc
 91f57a24dafd950ff137d2a1378c9db30fda57e82c58ecf09fe6e558ca1b5056 4483608 syslinux_4.05+dfsg.orig.tar.xz
 bf8223b2ed766ff3720485be4cbc61e7676738f0e264ee927b4a191a6e326c64 31764 syslinux_4.05+dfsg-6+deb7u2.debian.tar.xz
 56d98b273090bba1bb507f6f827da84298c854ee8f31ce394477887f4a609f6d 95982 syslinux_4.05+dfsg-6+deb7u2_i386.deb
 aa363176df6b1bc2517478c36b052a13c06cd462e1478ee6599caccc8262f131 42234 syslinux-udeb_4.05+dfsg-6+deb7u2_i386.udeb
 5969b3ee76b2e1e8477c7c0682e1c8b43250647eec0ae16b9d287d8492e3be78 113792 extlinux_4.05+dfsg-6+deb7u2_i386.deb
 b8c83cb7c2ee3824c1aa142a82055616cab4c1970fc1a5b4c31e31aeda9da540 939984 syslinux-common_4.05+dfsg-6+deb7u2_all.deb
Files: 
 1dfb45bf84f735ee756574e83692368f 1449 utils optional syslinux_4.05+dfsg-6+deb7u2.dsc
 7a1ef95ba82804dec3cd99e80aab0201 4483608 utils optional syslinux_4.05+dfsg.orig.tar.xz
 08115808a701c7615367cac87f03cc2f 31764 utils optional syslinux_4.05+dfsg-6+deb7u2.debian.tar.xz
 760e77fd0b01946823f36d101b60ac03 95982 utils optional syslinux_4.05+dfsg-6+deb7u2_i386.deb
 ea2cd89a97afdca92d775a6071f104ea 42234 debian-installer optional syslinux-udeb_4.05+dfsg-6+deb7u2_i386.udeb
 8095ef10557b0ff02ce05f585f45ccbc 113792 utils optional extlinux_4.05+dfsg-6+deb7u2_i386.deb
 690950fd9af6b69dd7c1fcb45032ef22 939984 utils optional syslinux-common_4.05+dfsg-6+deb7u2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEXtakACgkQ+C5cwEsrK55KRACfeo4b2wM72pXmkEjY7iqxTJ15
vvkAoMZu9oENGG/VjIO664ZQ7UauYSEJ
=LiE+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Mar 2013 07:28:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:28:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.